Bug 848747 - uuidd runs as initrc_t
uuidd runs as initrc_t
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.9
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
BaseOS QE Security Team
:
Depends On:
Blocks: 848708
  Show dependency treegraph
 
Reported: 2012-08-16 06:50 EDT by Milos Malik
Modified: 2012-09-19 08:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-20 04:40:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2012-08-16 06:50:22 EDT
Description of problem:


Version-Release number of selected component (if applicable):
selinux-policy-minimum-2.4.6-331.el5
selinux-policy-devel-2.4.6-331.el5
selinux-policy-targeted-2.4.6-331.el5
selinux-policy-2.4.6-331.el5
selinux-policy-strict-2.4.6-331.el5
selinux-policy-mls-2.4.6-331.el5
uuidd-1.39-35.el5

How reproducible:
always

Steps to Reproduce:
# run_init service uuidd status
Authenticating root.
Password: 
uuidd is stopped
# run_init service uuidd start
Authenticating root.
Password: 
Starting uuidd:                                            [  OK  ]
# ps -efZ | grep uuidd
user_u:system_r:initrc_t        uuidd    13217     1  0 12:47 ?        00:00:00 /usr/sbin/uuidd
root:system_r:unconfined_t:SystemLow-SystemHigh root 13220 2823  0 12:47 pts/0 00:00:00 grep uuidd
#

Actual results:
* uuidd runs as initrc_t

Expected results:
* uuidd runs in its own SELinux domain
Comment 1 Miroslav Grepl 2012-08-20 04:40:07 EDT
I believe we should stay with initrc_t for all these services for RHEL5. 

Basically I can backport policies but we would need to make this policy as unconfined.

Also we don't see any issues with these services running as initrc.

Note You need to log in before you can comment on or make changes to this bug.